require 'nokogiri'
require 'open-uri'

require 'fuel_prices_europe/version'
require 'fuel_prices_europe/country_data'
require 'fuel_prices_europe/fuel_prices'
require 'fuel_prices_europe/scraper'
require 'fuel_prices_europe/configuration'

module FuelPricesEurope

  URL = 'http://www.fuel-prices-europe.info/index.php'

  def self.configuration
    @configuration ||=  Configuration.new
  end

  def self.configure
    yield(configuration) if block_given?
  end

  def self.reset
    @configuration = Configuration.new
  end

end
